5 تهدید امنیتی در وردپرس


1- مشخص است که در وردپرس از چه نسخه‌ای استفاده می‌کنید

%5 تهدید امنیتی در وردپرس

نسخه وردپرس با کمک یک خط کد ایجاد شده و تعیین می‌کند وبسایت شما در حال استفاده از کدامین نسخه است و این موضوع قابل مشاهده توسط سایر افراد است حتی با توجه به قالبی که از آن استفاده می‌کنید شاید در تمامی برگه‌ها و صفحات مشهود باشد و این خود یک تهدید امنیتی در وردپرس محسوب می‌شود.

اصلا نیازی نیست که دیگران بدانند وبسایت شما با وردپرس ایجاد شده و اینکه دارای چه نسخه‌ای است. این اطلاعات فقط برای خودتان لازم است و بس! اگر شخصی روحیه شیطنت داشته باشد حتما با دانستن این موارد می‌تواند آسیب جدی به هسته وردپرس، افزونه‌ها و قالب وردپرستان وارد کند.

چگونه این مشکل را حل کنیم؟

برای حل این مشکل اگر توسعه دهنده باشید می‌توانید با کمی جستجو در بین کدهای هسته وردپرس آن را پنهان کنید اما اگر توسعه دهنده نیستید نگران نباشید. وردپرس برای این منظور افزونه‌هایی دارد که به کمک آن‌ها می‌توانید به راحتی این مسئله را حل کنید.

2- هر شخصی می‌داند آدرس ورودی به پیشخوان وردپرس wp-admin است

%5 تهدید امنیتی در وردپرس

آدرس پیش‌فرض وردپرس برای ورود به پیشخوان با نامک wp-admin است. تقریبا هر کسی که تا حدی با وردپرس آشناست این موضوع را می‌داند بنابراین تا اینجا کار بسیار ساده است و برای افراد مخرب تنها حدس زدن و کشف کردن نام کاربری و رمز عبور باقی می‌ماند.

چگونه این مشکل را حل کنیم؟

باید کاری کنیم که افراد و ربات‌ها امکان دسترسی به این صفحه را به هیچ وجه نداشته باشند. برای این منظور و جلوگیری از این  تهدید امنیتی در وردپرس دو روش پیش پای ماست.
1- به صورت دستی یا با کمک افزونه‌ها نام و موقعیت صفحه ورود را تغییر دهیم.
2- دسترسی‌ها را با کمک آدرس‌های آی‌پی محدود کنیم.

  چگونه وبسایت وردپرسی را از حملات Brute Force در امان بداریم؟

برای این منظور می‌توان از افزونه‌های حرفه‌ای Sucuri، Wordfence و… استفاده کرد.

3- وردپرس دارای پیش‌فرصی در نام جداول پایگاه داده است که همه از آن مطلع هستند

%5 تهدید امنیتی در وردپرس

وردپرس دارای یک پیشوند WP در تمامی جداول خود است که یک استاندارد برای آن محسوب می‌شود و اما یک تهدید امنیتی در وردپرس! اگر این جداول را به حال خود بگذارید دسترسی به آن‌ها را برای افراد، امکان‌پذیر کرده‌اید.

چگونه این مشکل را حل کنیم؟

به راحتی می‌توان این مسئله را حل کرد. این پیشوند‌ها را با کمک یک افزونه مانند Sucuri می‌توان تغییر داد. قبل از انجام هر کاری از پایگاه داده نسخه پشتیبان تهیه کنید و سپس اقدامات خود را انجام دهید.

4- امکان ویرایش قالب و افزونه در پیشخوان وردپرس وجود دارد

%5 تهدید امنیتی در وردپرس

وقتی امکان ویرایش قالب و افزونه‌های شما فراهم باشد، با ورود هر فردی باید احساس خطر کنید زیرا ممکن است آسیبی به وبسایتتان وارد سازد. به راحتی می‌توانند با وارد کردن کدهایی اقدام به آلوده کردن وبسایتتان کنند.

چگونه این مشکل را حل کنیم؟

برای حل این تهدید امنیتی در وردپرس، قطعه کد زیر را در فایل wp-config.php وارد کنید:

1
define( 'DISALLOW_FILE_EDIT', true );

5- امکان تلاش‌های پیاپی برای ورود به وردپرس امکان‌پذیر است

%5 تهدید امنیتی در وردپرس

به صورت پیش‌فرض در وردپرس امکان وارد کردن نام کاربری و رمز عبور به تعداد نامحدود وجود دارد. یعنی اگر شما پسورد خود را فراموش کرده باشید، بارها می‌توانید پسوردهای متعددی را تست کنید. شاید به نظر شما بهترین امکان باشد اما یک تهدید امنیتی در وردپرس محسوب می‌شود که باید از آن پرهیز کرد.

چگونه این مشکل را حل کنیم؟

برای این منظور می‌توانید از افزونه‌های وردپرسی مانند افزونه WP Limit Login Attempts کمک بگیرید. با کمک این مدت افزونه‌ها می‌توانید تعداد امتحان کردن ورود کاربران را محدود کنید.

لینک کوتاه : https://ahmadamjadi.ir/?p=759

به اشتراک گذاشتن مطلب در :

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد.